Morpheus Swap
Search…
Wallet requirements
In order to use the services of Morpheus Swap, you will need to have a MetaMask wallet connected to the Fantom Opera network.
By default, MetaMask will only support the Ethereum network. However, once you connect your MetaMask wallet to Morpheus Swap, our site will automatically configure MetaMask to use the Fantom Opera network.
Last modified 2mo ago
Copy link